# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Jun 11 15:17:22 2024
# ------------------------------------------------

package:
  name: bokeh
  version: 3.4.1
source:
  sha256: d824961e4265367b0750ce58b07e564ad0b83ca64b335521cd3421e9b9f10d89
  url: https://pypi.io/packages/source/b/bokeh/bokeh-3.4.1.tar.gz
build:
  entry_points:
    - bokeh = bokeh.__main__:main
  number: '0'
  script: /croot/bokeh_1718119056511/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py311h92b7b1e_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2024.3.11 h06a4308_0
    - colorama 0.4.6 py311h06a4308_0
    - intel-openmp 2023.1.0 hdb19cb5_46306
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - mkl 2023.1.0 h213fc3f_46344
    - mkl-service 2.4.0 py311h5eee18b_1
    - mkl_fft 1.3.8 py311h5eee18b_0
    - mkl_random 1.2.4 py311hdb19cb5_0
    - ncurses 6.4 h6a678d5_0
    - numpy 1.23.5 py311h08b1b3b_1
    - numpy-base 1.23.5 py311hf175353_1
    - openssl 3.0.13 h7f8727e_2
    - packaging 23.2 py311h06a4308_0
    - pip 24.0 py311h06a4308_0
    - python 3.11.9 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 69.5.1 py311h06a4308_0
    - setuptools-git-versioning 1.13.1 py311h06a4308_0
    - sqlite 3.45.3 h5eee18b_0
    - tbb 2021.8.0 hdb19cb5_0
    - tk 8.6.14 h39e8969_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py311h06a4308_0
    - xz 5.4.6 h5eee18b_1
    - zlib 1.2.13 h5eee18b_1
  run:
    - contourpy >=1.2
    - jinja2 >=2.9
    - numpy >=1.23.5,<2.0a0
    - packaging >=16.8
    - pandas >=1.2
    - pillow >=7.1.0
    - python >=3.11,<3.12.0a0
    - pyyaml >=3.10
    - tornado >=6.2
    - xyzservices >=2021.09.1
test:
  commands:
    - pip check
    - bokeh --help
    - bokeh info
  imports:
    - bokeh
    - bokeh.application
    - bokeh.application.handlers
    - bokeh.client
    - bokeh.command
    - bokeh.command.subcommands
    - bokeh.core
    - bokeh.core.property
    - bokeh.core.validation
    - bokeh.models
    - bokeh.models.widgets
    - bokeh.plotting
    - bokeh.protocol
    - bokeh.protocol.messages
    - bokeh.sampledata
    - bokeh.server
    - bokeh.server.views
    - bokeh.sphinxext
    - bokeh.themes
    - bokeh.util
  requires:
    - pip
about:
  description: 'Bokeh is an interactive visualization library for modern web browsers.

    It provides elegant, concise construction of versatile graphics,

    and affords high-performance interactivity over large or streaming

    datasets. Bokeh can help anyone who would like to quickly and easily

    make interactive plots, dashboards, and data applications.

    '
  dev_url: https://github.com/bokeh/bokeh
  doc_url: https://docs.bokeh.org/en/latest/
  home: https://bokeh.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Bokeh is an interactive visualization library for modern web browsers.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 4d09ff5f-4b33-4ced-91b5-eacc285734b3
  recipe-maintainers:
    - almarklein
    - jakirkham
    - mattpap
    - ocefpaf
    - philippjfr
  remote_url: git@github.com:AnacondaRecipes/bokeh-feedstock.git
  sha: e488a7a4e3dd76311338d4a8cd7db95f3dd6a003
  skip-lints:
    - python_build_tool_in_run
